#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2
visibility:           public
id:                   kan-extensions-5.2-El2eulsHvn98c7fweQUUS4
key:                  kan-extensions-5.2-El2eulsHvn98c7fweQUUS4
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  b7083f0702ce31c23e49e5550308b124
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-8.10.2/site-local/kan-extensions-5.2
library-dirs:         /usr/lib/ghc-8.10.2/site-local/kan-extensions-5.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/kan-extensions-5.2
hs-libraries:         HSkan-extensions-5.2-El2eulsHvn98c7fweQUUS4
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-DRUUzKgdpsD7qlFoeWZ4zA array-0.5.4.0 base-4.14.1.0
    comonad-5.0.6-FuJvoG8hlO2A7xuyUZPKDX containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    distributive-0.6.2-AjlzzqhSZPm4PZ4xN9yPkb
    free-5.1.3-B4AmLnpBsjVJv8C4RpHiOx
    invariant-0.5.3-EMWXN53xLxNCFXxvmbNfcA mtl-2.2.2
    profunctors-5.5.2-5rjJ52pQZTw8MzwqwgE6AO
    semigroupoids-5.3.4-8UuHEL5tl65Is4Ylzkboot
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe transformers-0.5.6.2
    transformers-compat-0.6.5-E9Rid1zC4al974cN3f5HFc

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

